# yt-dlp stream to s3

Small utility to download a file using yt-dlp and stream directly to s3. Avoids saving the file on disk.

### Install

```shell
pip install yt-dlp-stream-to-s3
```

### Usage

```python
from yt_dlp_stream_to_s3 import yt_dlp_stream_to_s3

URL = "https://old.reddit.com/r/psytrance/comments/13k1glj/help_timeless_track_id_by_anoebis_last_weekend_on/"

try:
    yt_dlp_stream_to_s3(URL, s3_extra_args=dict(ACL="public-read"))
except Exception as e:
    print("error", e)
```