import os
from yt_dlp_stream_to_s3.errors import YtDlpStreamToS3ConfigError

AWS_ENDPOINT_URL = os.getenv("AWS_ENDPOINT_URL")
AWS_SECRET_ACCESS_KEY = os.getenv("AWS_SECRET_ACCESS_KEY")
AWS_ACCESS_KEY_ID = os.getenv("AWS_ACCESS_KEY_ID")
AWS_S3_BUCKET_NAME = os.getenv("AWS_S3_BUCKET_NAME")

envs = [AWS_ENDPOINT_URL, AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY_ID, AWS_S3_BUCKET_NAME]

if not all(envs):
    raise YtDlpStreamToS3ConfigError(f"Some or all environment variables are missing.")
